{
  lib,
  stdenv,
  fetchzip,
  mono,
  gtk2,
}:
stdenv.mkDerivation (finalAttrs: {
  pname = "rfe-signal";
  version = "2_5_2105_2";

  src = fetchzip {
    url = "https://j3.rf-explorer.com/download/sw/linux/RFExplorerGeneratorLinux_v${finalAttrs.version}.zip";
    hash = "sha256-bvTH3EzFvizPrb5fv8LzIin45KkmASMRh/rk0BP+yIg=";

    stripRoot = false;
  };

  buildInputs = [
    mono
    gtk2
  ];

  installPhase = ''
    mkdir -p "$out/bin"
    cp $src/RFExplorerGeneratorLinux_v${finalAttrs.version}.exe $out/bin/.rfe-touch-mono

    OUTFILE="$out/bin/${finalAttrs.pname}"

    echo "#/usr/bin/env sh" > $OUTFILE
    echo "env LD_LIBRARY_PATH=\"${lib.makeLibraryPath finalAttrs.buildInputs}\" ${mono}/bin/mono $out/bin/.rfe-touch-mono" >> $OUTFILE

    chmod +x $OUTFILE
  '';

})
